Bug 509753 - "no.po" files should be renamed to nb.po
"no.po" files should be renamed to nb.po
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-05 15:43 EDT by Kvikende
Modified: 2010-06-15 09:03 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 520379 (view as bug list)
Last Closed: 2010-06-15 09:03:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3323 None None None Never

  None (edit)
Description Kvikende 2009-07-05 15:43:36 EDT
Description of problem:
In Norwegian, we have two written languages called 'nynorsk' and 'bokmål'. They are both official and equal. The naming scheme shown in Fedora is inconsistent and a bit confusing.

When I boot up my live CD, I can choose keyboard layout and system language to use before I log in. Here you have one called 'Bokmal, Norwegian (Norge)', one called 'Norsk (nynorsk) (Noreg)' and one just called 'Norwegian (Norway)'.

I think that showing one called just 'Norwegian (Norway)' must be wrong, as we have two different written languages ones which both are Norwegian.

That nynorsk ('Norsk (nynorsk) (Noreg)') and bokmål ('Bokmål, Norwegian (Norge)') has so different naming schemes is also a potentional problem.

On the English translation, I believe 'Norwegian Nynorsk (Norway)' and 'Norwegian Bokmål (Norway)' would be the best naming scheme, to keep it in line with what the other languages are called.
Comment 1 Pravin Satpute 2009-07-07 00:50:51 EDT
while booting anaconda shows language list 
so moving bug to anaconda
Comment 2 Chris Lumens 2009-07-07 10:37:19 EDT
The language selection on the livecd is actually provided by gdm, so moving this bug on along.
Comment 3 Jens Petersen 2009-08-31 04:50:36 EDT
This is not really gdm's fault.

I see current F12 carries at least two translation files for
Norwegian (ie "no_NO") from cups and grep.

So simplest solution is to persuade those upstream
projects to drop or rename the translations to Bokmål (nb),
I guess.
Comment 4 Bug Zapper 2009-11-16 05:38:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 5 Jaroslav Škarvada 2010-03-30 11:23:00 EDT
The grep-2.6.1 was pushed to testing. It has nb.po. Can I close this?
Comment 6 Kvikende 2010-05-16 17:45:41 EDT
Norwegian (Norway) is still present in Fedora 12. I will check in F13 when I get to upgrade to that.

Maybe I should bugreport it to cups?
Comment 7 Tim Waugh 2010-05-18 11:15:35 EDT
(In reply to comment #6)
> Norwegian (Norway) is still present in Fedora 12. I will check in F13 when I
> get to upgrade to that.
> Maybe I should bugreport it to cups?    

See bug #520379.
Comment 8 Kvikende 2010-05-31 08:52:41 EDT
Norwegian (Norway) is not present in the live CD of Fedora 13.
Comment 9 Jaroslav Škarvada 2010-06-14 09:56:11 EDT
This bug is about grep. The nb.po is present in grep-2.6* and there is no no.po The grep-2.6* was pushed to all Fedoras, thus I think it is resolved, can I close this?
Comment 10 Kvikende 2010-06-15 07:06:23 EDT
The option "Norwegian" is still present on one of two F13 machines (the one upgraded from F12 to F13).

Only one file is present in /usr/share/locale/no/LC_MESSAGES : redhat-dist.mo

Not exactly sure what it is, but it is definitely Norwegian Bokmål and I have the same file present in /usr/share/locale/nb/LC_MESSAGES. It might be leftover from the upgrade form Fedora 12 to 13.

I believe the bug is fixed and safe to close.
Comment 11 Jaroslav Škarvada 2010-06-15 09:03:31 EDT
OK, thanks. I recognized grep package as fixed. Feel free to file bugs about packages that are not yet fixed.

Note You need to log in before you can comment on or make changes to this bug.